Table of Contents

## Name

AuEvent - event union

## Structures

#include <audio/audiolib.h>

typedef union _AuEvent
{
int type;
AuAnyEvent auany;
AuElementNotifyEvent auelementnotify;
AuMonitorNotifyEvent aumonitornotify;
AuGrabNotifyEvent augrabnotify;
AuErrorEvent auerror;
}AuEvent;

## Members

type
  Specifies the event type. Currently, the following event types are defined: AuEventTypeElementNotify, AuEventTypeGrabNotify, or AuEventTypeMonitorNotify.
auany
  Specifies a generic event structure containing members common to all event types.
auelementnotify
  Sent to client applications to notify them of a watermark condition or a state change.
aumonitornotify
  Sent to client applications to notify them of monitor data.
augrabnotify
  Not Implemented.
auerror
  Sent to client applications to notify them of non-fatal errors encountered while processing requests.

## Description

Events are the principal mechanism for the server to communicate with a client application.

## See Also

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- See Also